Debian Bug report logs - #657293
help2man and command with dash in the name

version graph

Package: help2man; Maintainer for help2man is Brendan O'Dea <bod@debian.org>; Source for help2man is src:help2man.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Wed, 25 Jan 2012 11:00:01 UTC

Severity: normal

Tags: wontfix

Found in version help2man/1.40.5

Done: "Brendan O'Dea" <bod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#657293; Package help2man. (Wed, 25 Jan 2012 11:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. (Wed, 25 Jan 2012 11:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: help2man and command with dash in the name
Date: Wed, 25 Jan 2012 11:57:14 +0100
Package: help2man
Version: 1.40.5
Severity: normal

It would be nice if help2man would support generating man page from
command with - (dash) in the name.

Eg:

$ help2man abi-compliance-checker | head
.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.40.5.
.TH ABI "1" "January 2012" "ABI Compliance Checker (ACC) 1.96.1" "User Commands"
.SH NAME
ABI \- manual page for ABI Compliance Checker (ACC) 1.96.1
...

Thanks
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#657293; Package help2man. (Sat, 28 Jan 2012 10:03:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Brendan O'Dea" <bod@c47.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Sat, 28 Jan 2012 10:03:38 GMT) Full text and rfc822 format available.

Message #10 received at 657293@bugs.debian.org (full text, mbox):

From: "Brendan O'Dea" <bod@c47.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 657293@bugs.debian.org
Subject: Re: Bug#657293: help2man and command with dash in the name
Date: Sat, 28 Jan 2012 21:01:39 +1100
On 25 January 2012 21:57, Mathieu Malaterre <mathieu.malaterre@gmail.com> wrote:
> Package: help2man
> Version: 1.40.5
> Severity: normal
>
> It would be nice if help2man would support generating man page from
> command with - (dash) in the name.

help2man uses the regular expression \S+ to identify the command name
from the Usage line in --help output, so should be fine with dashes in
the command name.

abo-compliance-checker does not produce --help output in a format that
help2man expects.  See the manual:

  info help2man -- "--help recommendations"

or the output of:

  cp --help

for samples of what is expected.

--bod




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:42 GMT) Full text and rfc822 format available.

Reply sent to "Brendan O'Dea" <bod@debian.org>:
You have taken responsibility. (Wed, 28 Mar 2012 23:09:04 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Wed, 28 Mar 2012 23:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 657293-done@bugs.debian.org (full text, mbox):

From: "Brendan O'Dea" <bod@debian.org>
To: 657293-done@bugs.debian.org
Subject: Re: Bug#657293: help2man and command with dash in the name
Date: Thu, 29 Mar 2012 10:07:14 +1100
tags 657293 + wontfix
thanks




Added tag(s) wontfix. Request was from "Brendan O'Dea" <bod@debian.org> to control@bugs.debian.org. (Thu, 29 Mar 2012 06:12:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Apr 2012 07:40:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:55:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.